function [cartangle] = bear2cart(bearing)

%===================================================================
% BEAR2CART   3.1  92/04/03
%
% [cartangle] = bear2cart(bearing)
%
% DESCRIPTION:
%    Convert cartesian angle to bearing
% 
% INPUT:
%    bearing   = bearing in degrees  N=0, E=90, S=180, W=270
%
% OUTPUT:
%    cartangle = angle in degrees    E=0, N=90, W=180, S=270%
%
% CALLER:   general purpose
% CALLEE:   none
%
% AUTHOR:   Phil Morgan 17-02-92
%==================================================================

% @(#)bear2cart.m   3.1   92/04/03
% 
%--------------------------------------------------------------------

cartangle = 360 - bearing;

cartangle = cartangle + 90;

for i=1:length(cartangle)
  if cartangle(i)>360
    cartangle(i)= cartangle(i) - 360;    
  elseif cartangle(i)==360
    cartangle(i)= 0;
  end %if
end %for

