function [weights,decayratio] = expdecay( y );

%===================================================================
% expdecay   4.1   92/11/12   Copyright (C) Phil Morgan 1992.
%
% [weights,decayratio] = expdecay( y )
%
% DESCRIPTION:
%    Calculates linear decay ratio in 0 to 1 for the number of
%    elements in Y if vector or value is y scalar.  Also calcualtes
%    the  exponential deacy value from 1 to 0 for same elements.
% 
% CALLER:   buildE.m
% CALLEE:   none
%
% AUTHOR:   Phil Morgan 92-07-28
%==================================================================

% @(#)expdecay.m  Revision: 4.1  Date: 92/11/12
%--------------------------------------------------------------------

[m,n]=size(y);

if m~=1 & n~=1
   error('expdecay: Require "y" a scalar or dummy vector')
end %if
if m==1 & n==1
   ny = y;
else
   ny   = length(y);
end %if

x            = [0:1:ny-1]';
decayratio   = x ./ max(x);
weights      = exp( -pi*decayratio );

%--------------------------------------------------------------------


