function [Xrows, Xcols, Xbs, XRW, XCW, file_Xrows, file_Xcols] = ...
         get_extra(mAbase,nAbase)

%===================================================================
% get_extra    4.3   93/10/06   Copyright (C) Phil Morgan  1992
%
% [Xrows, Xcols, Xbs, XRW, Xzeros, file_Xrows, file_Xcols] = ...
%         get_extra(mAbase,nAbase)
%
% DESCRIPTION:
%    Retrieves Xrows/Xcols from sepecified files.
% 
% INPUT:
%    mAbase     = Rows    of A in Base problem
%    nAbase     = Columns of A in Base problem
%     
%    geometry   = DIM( nboxes, nsections )
%    sectfiles  = DIM( nsections, * )
%   nproperties = number of properties
%   nlayers     = number of layers
%
% OUTPUT:
%   Xrows       = extra rows    to problem
%   Xcols       = extra columns to problem
%   Xbs         = extra bs for the extra rows
%   XRW         = extra row    weights
%   XCW         = extra column weights
%   Xzeros      = extra zero block
%
% AUTHOR:   Phil Morgan 08-04-92
%==================================================================

% @(#)get_extra.m  Revision: 4.3  Date: 93/10/06
%--------------------------------------------------------------------
TRUE  = 1;
FALSE = 0;

% INITIALISE RETURN VARIABLES
Xcols    = [];
Xrows    = [];
Xbs      = [];
XRW      = [];
XCW      = [];
file_Xrows = [];
file_Xcols = [];

extra_menu_stop = 0;

while extra_menu_stop == 0
    clc
    disp(' ')
    disp('----- BUILD MENU (4) : Extra rows/columns and Build A & b -----')
    disp(' 						')
    disp('      1) No Xrows or Xcols 	')
    disp('      2) Load Xrows from file		')
    disp('      3) Load Xcols from file		')
    disp('       	')    
    disp('      0) Main Menu [Builds A & b]	')    
    disp('       	')    
    
    extra_menu_opt = input([' Select a menu number: ']);

  if     extra_menu_opt == 0   % return to Main menu
    extra_menu_stop = 1;

  elseif  extra_menu_opt == 1   % no Xrows or Xcols
    % also allows user to reset xrows/xcols in menu.
    Xcols    = [];
    Xrows    = [];
    Xbs      = [];
    XRW      = [];
    XCW      = [];    
    Xzeros   = [];
    file_Xrows = [];
    file_Xcols = [];    
    
  elseif  extra_menu_opt == 2   % Xrows
    filename = input('What MATLAB filename for extra rows ? ','s');
    % CHECK IF FILE "filename" EXISTS.
    [filename,fileok] = validfile(filename,'.mat');
    if fileok
       disp([' Loading file {' filename '}. Please wait...'])
       [Xrows,Xbs,XRW] = loadvars(filename,'Xrows','Xbs','XRW');
       file_Xrows = filename;
    else
       disp([' WARNING: file {' filename '} not found.'])
    end %if

  elseif  extra_menu_opt == 3   % Xcols
     filename = input('What MATLAB filename for extra cols ? ','s');
     % CHECK IF FILE "filename" EXISTS.
     [filename,fileok] = validfile(filename,'.mat');
     if fileok
        disp([' Loading file {' filename '}. Please wait...'])
        [Xcols,XCW] = loadvars(filename,'Xcols','XCW');
	file_Xcols = filename;
     else
        disp([' WARNING: file {' filename '} not found.'])
     end %if

  end %if

end %while

 
return  
%--------------------------------------------------------------------



