%===================================================================
% METH_GCV    4.3   92/12/16   Copyright (C) Phil Morgan 1992.
%
% DESCRIPTION:
%    Script that displays menu for GCV solution method.
%
% CALLER:   method_menu.m
% CALLEE:   make_wm.m, gcv_plot_box.m gcv_soln_box.m
%
% AUTHOR:   Phil Morgan 92-08-03
%==================================================================

% @(#)meth_gcv.m  Revision: 4.3  Date: 92/12/16
%--------------------------------------------------------------------

% function [R,N,x,CW,isWm,gcv_s] = meth_gcv(A,b,CW,RW,Xcols,nsectpairs);
 
%$$$ if exist('gcv_global_set') ~= 1
   gcv_global_box;
%$$$    gcv_global_set = 1;
%$$$ end %if

if exist('isWm') ~= 1
   isWm = 0;
end %if

meth_gcv_stop = 0;
while meth_gcv_stop == 0
  clc
  disp('-----------------------------------------------------------------')
  disp(' DOBOX Interface to GCV/Ridge routines supplied by Peter McIntosh')
  disp('-----------------------------------------------------------------')
    disp(' 						')
    disp('----- GCV MENU (63) : Method Choices -----')
    disp(' 						')
    disp('      1) Make Wm ')
    disp('      2) GCV Plot ')
    disp('      3) GCV Solution ')
    disp(' 						')
    disp('      0) Main menu ')    
  
   meth_gcv_opt = input([' Select a menu number: ']);  

  if meth_gcv_opt == 0
      meth_gcv_stop = 1;
      method_menu_stop = 1;

  elseif meth_gcv_opt == 1
    isWm = 1; % set to specify that Wm is used NOT CW
    gcv_diff_order = input ...
	 ('What norm differential order [(-)ve for semi-norm ] ? ');
    if gcv_diff_order < 0
       gcv_lscale = [];
    else
       gcv_lscale = input('What length scale ? ');
    end %if
    gcv_dim        = nsectpairs;
    if ~isempty(Xcols)
       [mXcols,nXcols] = size(Xcols);
       gcv_dim         = [gcv_dim nXcols];
       if ~isempty(gcv_lscale)
          gcv_lscale   = [ones(1,length(nsectpairs)) 1];
       end %if
    end %if

    CW = make_wm_box(gcv_dim,gcv_diff_order,gcv_lscale);

  elseif meth_gcv_opt == 2
     [gcv_smpval,gcv_smp,gcv_gcv,gcv_gcvtop,gcv_gcvbot] =  ...
      gcv_plot_box(A,b,RW*RW,CW,isWm);
  
  elseif meth_gcv_opt == 3
     [x,gcv_smpmin,gcv_gcvmin,R,N,gcv_s] = ...
     gcv_soln_box(A,b,RW*RW,CW,isWm,1);

  else
     meth_gcv_stop = 0;
 
  end

end %while

clear meth_gcv_stop meth_gcv_opt

return
%--------------------------------------------------------------------


