%===================================================================
% METH_RIDGE  4.3   92/12/16   Copyright (C) Phil Morgan 1992.
%
% DESCRIPTION:
%    Script that displays menu for Ridge solution method.
% 
% CALLER:   method_menu.m
% CALLEE:   make_wm.m, ridge_plot_box.m ridge_soln_box.m
%
%
% AUTHOR:   Phil Morgan 92-08-03
%==================================================================

% @(#)meth_ridge.m  Revision: 4.3  Date: 92/12/16
%--------------------------------------------------------------------

% function [R,N,x,CW,isWm,ridge_smpval,ridge_s] = meth_ridge(A,b,CW,RW,Xcols,nsectpairs)

%$$$ if exist('gcv_global_set') ~= 1
%$$$    gcv_global_box;
%$$$    gcv_global_set = 1;
%$$$ end %if

if exist('isWm') ~= 1
   isWm = 0;
end %if
    
meth_ridge_stop = 0;
while meth_ridge_stop == 0
  clc
  disp('-----------------------------------------------------------------')
  disp(' DOBOX Interface to GCV/Ridge routines supplied by Peter McIntosh')
  disp('-----------------------------------------------------------------')
  disp(' 						')
    disp('----- RIDGE MENU (62) : Method Choices -----')
    disp(' 						')
    disp('      1) Make Wm ')
    disp('      2) Ridge Plot ')
    disp('      3) Ridge Solution ')
    disp(' 						')
    disp('      0) Main menu ')    
  
   meth_ridge_opt = input([' Select a menu number: ']);  

  if meth_ridge_opt == 0
      meth_ridge_stop = 1;
      method_menu_stop = 1;

  elseif meth_ridge_opt == 1
    isWm = 1; % set to specify that Wm is used NOT CW
    gcv_diff_order = input ...
	 ('What norm differential order [(-)ve for semi-norm ] ? ');
    if gcv_diff_order < 0
       gcv_lscale = [];
    else
       gcv_lscale = input('What length scale ? ');
    end %if
    gcv_dim        = nsectpairs;
    if ~isempty(Xcols)
       [mXcols,nXcols] = size(Xcols);
       gcv_dim         = [gcv_dim nXcols];
       if ~isempty(gcv_lscale)
          gcv_lscale   = [ones(1,length(nsectpairs)) 1];
       end %if
    end %if

    CW = make_wm_box(gcv_dim,gcv_diff_order,gcv_lscale);
     
  elseif meth_ridge_opt == 2
      [ridge_smpval,ridge_smp,ridge_res2,ridge_soln2] = ...
      ridge_plot_box(A,b,RW*RW,CW,isWm);
  
  elseif meth_ridge_opt == 3
     disp(['Current value for ridge_smpval is ' num2str(ridge_smpval) ])
     response = input('Set new value manually (y/n) ? ','s');
     if strcmp(response,'y')
        ridge_smpval = input('Enter new value for ridge_smpval ? ');
     end %if
     [x,R,N,ridge_s] = ridge_soln_box( A,b,RW*RW,CW,isWm,ridge_smpval );
   
  else
     meth_ridge_stop = 0;
 
  end

end %while

clear meth_ridge_opt meth_ridge_stop

return
%--------------------------------------------------------------------


