function [R,N,x,rank_num,u,s,v] = meth_svd(A,b,CW,RW,u,s,v)

% METH_SVD    Menu of the svd method for solution to Ax=b
%===================================================================
% METH_SVD  4.5   93/10/06   Copyright (C) Phil Morgan 1992.
% 
% [R,N,x,rank_num,u,s,v] = meth_svd(A,b,CW,RW,u,s,v)
%
% DESCRIPTION:
%    Menu of the svd method for solution to Ax=b.
% 
% AUTHOR:   Phil Morgan 92-01-03
%==================================================================

% @(#)meth_svd.m  Revision: 4.5  Date: 93/10/06
%--------------------------------------------------------------------
 
% initialise output
R = [];
N = [];
x = [];
rank_num = [];

if nargin == 4
  u = [];
  s = [];
  v = [];
elseif nargin == 7
  %ok
else
  disp('Wrong number of input to meth_svd')
end %if

Adash = RW*A;
bdash = RW*b;
    
disp(' ')
stop_svd = 0;
while stop_svd==0
  clc
    disp(' 						')
    disp('----- SVD MENU (61) : -----')
    disp(' 						')
    disp('      1) Invert                               ')
    disp('      2) Plot Levenberg-Marquardt plot        ')
    disp('      3) Set rank, solve for x                ')
    disp(' 						')
    disp('      0) Main menu ')    
  
   svdmenu = input([' Select a menu number: ']);  

  if     svdmenu == 0
      if isempty(rank_num)
          disp('meth_svd.m: Did no specify a solution rank via option 3')
      end %if
      stop_svd = 1;
      method_menu_stop = 1;


  elseif svdmenu == 1     
    disp('Inverting matrix.  Please Wait...')
    Adashdash = Adash*CW;
    [u,s,v]   = svd(Adashdash);
   
  elseif svdmenu == 2
    if ~exist('Adashdash')
      error('meth_svd.m: MUST invert first')
    else
      pllm(Adashdash,u,s,v,bdash);
    end %if   

  elseif svdmenu == 3
    if ~exist('Adashdash')
      error('meth_svd.m: MUST invert first')
    else
      rank_num  = getinput('What rank to use in solution ? ', ...
                           1,min(size(Adashdash)));
      [R, N, x] = svd_soln(Adashdash, bdash, rank_num, u,s,v, CW);
      disp(' ')
      disp('SVD solution done')
      disp(' ')

    end %if   

    
  else
    stop_svd = 0
    
  end
  
end %while
return

%--------------------------------------------------------------------

