% METHOD_MENU    Menu of different methods of solution to the Ax=b
%===================================================================
% METHOD_MENU   4.2   93/10/06   Copyright (C) Phil Morgan 1991-2.
%
% DESCRIPTION:
%    Menu of different methods of solution to the Ax=b linear problem.
% 
% CALLER:   dobox.m
% CALLEE:   meth_svd.m meth_ridge.m meth_svd.m
%
% AUTHOR:   Phil Morgan 91-11-26
%==================================================================

% @(#)method_menu.m  Revision: 4.2  Date: 93/10/06
%--------------------------------------------------------------------

method_menu_stop = 0;
while method_menu_stop == 0
    clc
    disp(' 						')
    disp('----- SOLVE MENU (6) : Method Choices -----')
    disp(' 						')
    disp('      1) SVD... ')
    disp('      2) Ridge Analysis... ')
    disp('      3) GCV ... ')
    disp(' 						')
    disp('      0) Main menu ')    
  
    method_menu_opt = input([' Select a menu number: ']);  

  if      method_menu_opt == 0
     method_menu_stop = 1;
    
  elseif  method_menu_opt == 1
     [R,N,x,rank_num,u,s,v] = meth_svd(A,b,CW,RW,u,s,v);
     soln_method = 'svd';
     method_menu_stop = 1;
     
  elseif method_menu_opt == 2
     meth_ridge;
%    [R,N,x,CW,isWm,ridge_smpval,ridge_s] = ...
%               meth_ridge(A,b,CW,RW,Xcols,nsectpairs);
     soln_method = 'ridge';
     method_menu_stop = 1;
     
  elseif method_menu_opt == 3
     meth_gcv;
%   [R,N,x,CW,isWm,gcv_s] = meth_gcv(A,b,CW,RW,Xcols,nsectpairs); 
     soln_method = 'gcv';    
     method_menu_stop = 1;

  else 
     method_menu_stop = 0;
 
  end

end

clear method_menu_stop method_menu_opt

return

%--------------------------------------------------------------------
