function [cartangle]=phase2cart(phaseangle)

%===================================================================
% phase2cart   3.1  92/04/03
%
%   [cartangle]=phase2cart(phaseangle)
%
% DESCRIPTION:
%    Convert phaseangle of vector to cartesian angle 
% 
% INPUT:
%    phaseangle = angle to x axis 0...+180 degrees for +y axis
%                                 0...-180 degrees for -y axis
%               (ie output from atan -pi to +pi)
%
% OUTPUT:
%    cartangle  = cartesian angle 0=E, 90=N, 180=W, 270=S
%
% AUTHOR:   Phil Morgan 21-02-92
%==================================================================

bad = find(phaseangle>180 | phaseangle<-180);
if length(bad)>0
  error('PHASE2CART.M: phaseangle must be -180<= x <=180 degrees')
end %if

for i=1:length(phaseangle)
  if phaseangle(i)<0         % in 3rd/4th quadrants
    phaseangle(i) = 360+phaseangle(i);
  end %if
end %for

cartangle = phaseangle;

idzero = find(cartangle==360);
cartangle(idzero) = zeros*ones(1,length(idzero));
%--------------------------------------------------------------------------
