function done=pllm(Adashdash,u,s,v,bdash)

% PLLM   PLot Levenberg-Marquart diagram
%----------------------------------------------------------------------
% PLLM  3.8  93/10/12  Copyright (C) Phil Morgan 1991
%
% done = pllm(Adashdash,u,s,v,bdash)
%
% INPUT:
%    ranknum = number of rank for lm plot - manually set!
%    u, s, v = from SVD decomposition by 'invert1'
%    b   = RHS from 'build1gam
%    bdash   = row weighted RHS from 'invert1'
%    colw    = column weighting matrix from 'invert1'
%    A       = A from build1amass
%
% AUTHOR: Phil Morgan  91-9-13
%----------------------------------------------------------------------


[m,n]   = size(Adashdash);
min_dim = min([n, m]); 

finish  = 0;
mnorm   = [];
enorm   = [];
maxrank = 1;

disp('***********************UPDATE***************************************')
disp('Levenberg-Marquardt plot allows selection of rank range to plot.')
disp('Once a plot is shown, continue to select other ranges until finished.')
disp('*********************************************************************')
while ~finish
   lrank = getinput('What lower rank number to plot ? ',1,min_dim);
   urank = getinput('What upper rank number to plot ? ',1,min_dim);

     rank1 = lrank;
     rank2 = urank;
     if maxrank < rank2
        rank1   = maxrank;
        maxrank = rank2;

        for irank=rank1:rank2
           disp(['Using rank ' num2str(irank)])
           invs         = inv(s(1:irank,1:irank));
           [xdash]      = (v(:,1:irank)*invs) * (u(:,1:irank)'*bdash);
           [edash]      = bdash-Adashdash*xdash;
           mnorm(irank) = norm(xdash);
           enorm(irank) = norm(edash);
        end %for
     end %if

   clf
   subplot(2,2,1)
   axis('on')
   semilogy([lrank:urank],mnorm(lrank:urank),'*')
   xlabel('Rank')
   ylabel('Model Norm (m/s)')
   grid on
   
   subplot(2,2,2)
   semilogy([lrank:urank],enorm(lrank:urank),'*')
   xlabel('Rank')
   ylabel('Residual Norm (m3/s)')
   grid on
   
   subplot(2,1,2)
   loglog(mnorm(lrank:urank), enorm(lrank:urank),'*')
   title(['A is ' num2str(m) ' by ' num2str(n) '   ' date])
   xlabel('Model norm (m/s)')
   ylabel('Resid. norm (m3/s)')
   grid on
   
   % enable user to plot figure etc
   disp('Enter commands and continue by typing "return" ')
   keyboard
   reply = input('Plot over a new range of rank (y/n) ? ','s');
   if strcmp(reply,'n') | strcmp(reply,'N')
      finish = 1;
   end %if
end %while


done=1;
%-----------------------------------------------------------------------











