function   [CWbase,CWrel,CWmag,file_CWrel,file_CWmag] = verify_cw ...
                  (CWrel,CWmag,file_CWrel,file_CWmag,nAbase)

% VERIFY_CW   Verify column weight existence and size of matrices
%===================================================================
% VERIFY_CW    1.2   93/10/12   Copyright (C) Phil Morgan  1991-3
%
% DESCRIPTION:
%   Verify column weight existence and size of matrices.
% 
% CALLER:   weights_menu.m
% CALLEE:   none
%
% AUTHOR:   Phil Morgan 93-10-05
%==================================================================

if nargin ~= 5
  error('verify_rw.m: wrong number of inputs')
end %if


if isempty(CWrel)
       disp(' ')
       disp('verify_cw.m: WARNING. NO CWrel specified, setting CWrel to ones')
       disp(' ')       
       CWrel = ones(1,nAbase);
       file_CWrel = 'ones';
end %if
if isempty(CWmag)
       disp(' ')      
       disp('verify_cw.m: WARNING. NO CWmag specified, setting CWmag to ones')
       disp(' ')       
       CWmag = ones(1,nAbase);
       file_CWmag = 'ones';
end %if    


if length(CWrel) == length(CWmag)
       CWbase = CWrel .* CWmag;
else
       error('Error in wrong dims for CW')
end %if

return
%------------------------------------------------------------------------
    
