function [Xzeros] = verify_extra(Xrows, Xcols, Xbs, XRW, XCW, mAbase, nAbase)


% VERIFY_EXTRA   Verify dims of Xrows, Xcols, Xbs, XRW, XCW
%===================================================================
% VERIFY_EXTRA    1.1   93/10/06   Copyright (C) Phil Morgan  1991-3
%
% DESCRIPTION:
%   Verify dims of Xrows, Xcols, Xbs, XRW, XCW
%
% AUTHOR:   Phil Morgan 93-10-05
%==================================================================


Xzeros = [];

[mXcols,nXcols] = size(Xcols);
[mXrows,nXrows] = size(Xrows);
[mXbs,nXbs]     = size(Xbs);
[mXRW,nXRW]     = size(XRW);
[mXCW,nXCW]     = size(XCW);


  if ~isempty(Xrows)
    if       ~(nXrows==nAbase)
       error('get_extra.m: Xrows must have same cols as A')
    elseif   (mXrows~=mXbs)
       error('get_extra.m: Xrows must have same rows as Xbs')      
    elseif   (nXbs~=1)
       error('get_extra.m: Xbs must be a column vector')
    elseif   (mXrows~=mXRW)
       error('get_extra.m: Xrows must have same rows as XRW')      
    elseif   (nXRW~=1)
       error('get_extra.m: XRW must be a column vector')	     
    end %if
  end %if
  
  if ~isempty(Xcols)
    if (mXcols~=mAbase)
      error('get_extra.m: Xcols must have same no. of rows as A')
    elseif   (nXcols~=nXCW)
       error('get_extra.m: Xcols must have same cols as XCW')      
    elseif   (mXCW~=1)
       error('get_extra.m: XCW must be a row vector')	           
    end %if
  end %if

  Xzeros = zeros(mXrows,nXcols);

return
[Xzeros] = verify_extra(Xrows, Xcols, Xbs, XRW, XCW, mAbase, nAbase)

Xzeros = [];

XRW             = XRW(:);  % turn into column vector
XCW             = XCW(:)'; % turn into row vector
[mXcols,nXcols] = size(Xcols);
[mXrows,nXrows] = size(Xrows);
[mXbs,nXbs]     = size(Xbs);
[mXRW,nXRW]     = size(XRW);
[mXCW,nXCW]     = size(XCW);


  if ~isempty(Xrows)
    if       ~(nXrows==nAbase)
       error('get_extra.m: Xrows must have same cols as A')
    elseif   (mXrows~=mXbs)
       error('get_extra.m: Xrows must have same rows as Xbs')      
    elseif   (nXbs~=1)
       error('get_extra.m: Xbs must be a column vector')
    elseif   (mXrows~=mXRW)
       error('get_extra.m: Xrows must have same rows as XRW')      
    elseif   (nXRW~=1)
       error('get_extra.m: XRW must be a column vector')	     
    end %if
  end %if
  
  if ~isempty(Xcols)
    if (mXcols~=mAbase)
      error('get_extra.m: Xcols must have same no. of rows as A')
    elseif   (nXcols~=nXCW)
       error('get_extra.m: Xcols must have same cols as XCW')      
    elseif   (mXCW~=1)
       error('get_extra.m: XCW must be a row vector')	           
    end %if
  end %if

  Xzeros = zeros(mXrows,nXcols);

return
