function   [RWbase,RWrel,RWmag,file_RWrel,file_RWmag] = verify_rw ...
                  (RWrel,RWmag,file_RWrel,file_RWmag,mAbase)

% VERIFY_RW   Verify row weight existence and size of matrices
%===================================================================
% VERIFY_RW    1.2   93/10/12   Copyright (C) Phil Morgan  1991-3
%
% DESCRIPTION:
%   Verify row weight existence and size of matrices.
% 


if nargin ~= 5
  error('verify_rw.m: wrong number of inputs')
end %if

RWbase = [];

if isempty(RWrel)
       disp(' ')
       disp('verify_rw.m: WARNING. NO RWrel specified, setting RWrel to ones')
       disp(' ')       
       RWrel = ones(mAbase ,1);
       file_RWrel = 'ones';
end %if
if isempty(RWmag)
       disp(' ')      
       disp('verify_rw.m: WARNING. NO RWmag specified, setting RWmag to ones')
       disp(' ')       
       RWmag = ones(mAbase ,1);
       file_RWmag = 'ones';
end %if    

if length(RWrel) == length(RWmag)
       RWbase = RWrel .* RWmag;
else
       error('verify_rw.m: Wrong dims for RW')
end %if

return
%------------------------------------------------------------------------
