% WEIGHTS_MENU   Menu for setting row and column weights
%===================================================================
% WEIGHTS_MENU   4.9   93/10/13   Copyright (C) Phil Morgan 1992.
%
% DESCRIPTION:
%    Script that displays menu for setting Row & Column weights to
%    the Abase*x=bbase linear problem and verifies inputs.
%    Produces RW and CW.  Alternatively user may specify RW and/or CW.
% 
%==================================================================

  
weights_menu_stop = 0;
while weights_menu_stop == 0
    clc
    disp(' ')
    disp('----- WEIGHTS MENU (5) -----      ')
    disp(' 				    ')
    disp('      1) Row    weights           ')
    disp('      2) Column weights           ')
    disp('                                  ')
    disp('      0) BOX menu                 ')
    disp('                                  ')    
    disp(' 				    ')
    
   weights_menu_opt = input([' Select a menu number: ']);

  if     weights_menu_opt == 0
    [RWbase,RWrel,RWmag,file_RWrel,file_RWmag] = verify_rw ...
           (RWrel,RWmag,file_RWrel,file_RWmag,mAbase);

    if ~isempty(XRW)
         if isempty(Xrows)
            error('XRW defined but NO Xrows defined')
         else % verify that XRW just defined has correct dims
            [mXrows,nXrows] = size(Xrows);
            if mXrows ~= length(XRW)
               error('weights_menu.m:  Xrows and XRW inconsistent dimensions')
            end %if
         end %if
    else
         file_XRW = 'none';
    end %if

    diag_RW = [RWbase; XRW];
    RW      = diag(diag_RW);
    
             [CWbase,CWrel,CWmag,file_CWrel,file_CWmag] = ...
    verify_cw(CWrel,CWmag,file_CWrel,file_CWmag,nAbase);

    if ~isempty(XCW)
         if isempty(Xcols)
            error('XCW defined but NO Xcols defined')
         else % verify that XCW just defined has correct dims
            [mXcols,nXcols] = size(Xcols);
            if nXcols ~= length(XCW)
               error('weights_menu.m:  Xcols and XCW inconsistent dimensions')
            end %if
         end %if
    else 
         file_XCW = 'none';
    end %if

    diag_CW = [CWbase XCW];
    CW      = diag(diag_CW);

    weights_menu_stop = 1;

    
  elseif weights_menu_opt == 1
    [RWrel, RWmag, XRW, file_RWrel, file_RWmag, file_XRW] = ...
	rowweight(XRW,nboxes,nlayers,nproperties,    ...
	Abase,row_beg,eqn_beg,eqn_end);
    
    [RWbase,RWrel,RWmag,file_RWrel,file_RWmag] = verify_rw ...
           (RWrel,RWmag,file_RWrel,file_RWmag,mAbase);


%    if ~isempty(CWbase)
%       if any(any( ones(size(CWbase)) ~= CWbase ))
%          disp('CW needs to be updated since changed RW. ')
%          disp('Press a key to continue')                   
%          weights_menu_opt = 2;
%       end %if
%    end %if
 
  elseif weights_menu_opt == 2
    Amasstot     = zeros(1,nAbase);
    for ibox = 1:nboxes
       rows      = row_beg(ibox) + nlayers;
       tmp_tots  = Abase(rows,:);
       good_tots = find( tmp_tots~=0 );
       Amasstot(good_tots) = tmp_tots(good_tots);
    end %for
    Amasstot = abs( Amasstot );
    clear rows tmp_tots good_tots

    if isempty(RWbase)
       error('need to do rows first')
    end %if
    Abasedash = diag(RWbase)*Abase;

    [CWrel, CWmag, XCW, file_CWrel, file_CWmag, file_CRW] = ...
        colweight(XCW, Abasedash, Amasstot);
 
  end %if

end

clear weights_menu_opt weights_menu_stop
return
%--------------------------------------------------------------------


